# swagger_client.ApiKeysApi

All URIs are relative to *https://eddy-bordi.dev.c2.bel1.kube.pvio.tech/ext/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_api_keys**](ApiKeysApi.md#get_api_keys) | **GET** /api-keys/{apiKeysId} | Get api keys
[**get_api_keys_secret**](ApiKeysApi.md#get_api_keys_secret) | **GET** /api-keys/{apiKeysId}/secret | Get api keys secret
[**refresh_api_keys_secret**](ApiKeysApi.md#refresh_api_keys_secret) | **POST** /api-keys/{apiKeysId}/secret | Refresh api-keys secret
[**remove_api_keys**](ApiKeysApi.md#remove_api_keys) | **DELETE** /api-keys/{apiKeysId} | Remove api-keys

# **get_api_keys**
> DefinitionsapiKeys get_api_keys()

Get api keys

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: master_token
configuration = swagger_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ApiKeysApi(swagger_client.ApiClient(configuration))
 = swagger_client.null() #  | ID of api-keys to return

try:
    # Get api keys
    api_response = api_instance.get_api_keys()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApiKeysApi->get_api_keys: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **** | [****](.md)| ID of api-keys to return | 

### Return type

[**DefinitionsapiKeys**](DefinitionsapiKeys.md)

### Authorization

[master_token](../README.md#master_token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_api_keys_secret**
> InlineResponse20014 get_api_keys_secret()

Get api keys secret

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: master_token
configuration = swagger_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ApiKeysApi(swagger_client.ApiClient(configuration))
 = swagger_client.null() #  | ID of api-keys secret to return

try:
    # Get api keys secret
    api_response = api_instance.get_api_keys_secret()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApiKeysApi->get_api_keys_secret: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **** | [****](.md)| ID of api-keys secret to return | 

### Return type

[**InlineResponse20014**](InlineResponse20014.md)

### Authorization

[master_token](../README.md#master_token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **refresh_api_keys_secret**
> InlineResponse20014 refresh_api_keys_secret()

Refresh api-keys secret

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: master_token
configuration = swagger_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ApiKeysApi(swagger_client.ApiClient(configuration))
 = swagger_client.null() #  | ID of api-keys secret to refresh

try:
    # Refresh api-keys secret
    api_response = api_instance.refresh_api_keys_secret()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApiKeysApi->refresh_api_keys_secret: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **** | [****](.md)| ID of api-keys secret to refresh | 

### Return type

[**InlineResponse20014**](InlineResponse20014.md)

### Authorization

[master_token](../README.md#master_token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **remove_api_keys**
> remove_api_keys()

Remove api-keys

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: master_token
configuration = swagger_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.ApiKeysApi(swagger_client.ApiClient(configuration))
 = swagger_client.null() #  | ID of api-keys to delete

try:
    # Remove api-keys
    api_instance.remove_api_keys()
except ApiException as e:
    print("Exception when calling ApiKeysApi->remove_api_keys: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **** | [****](.md)| ID of api-keys to delete | 

### Return type

void (empty response body)

### Authorization

[master_token](../README.md#master_token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

